
#Advancement
execute as @a[scores={died=1..}] run advancement grant @s only achievement:lratio

#Tell Last Death Coordinates
execute as @a run function mortis:location
execute as @a[scores={TellLastDeathCoordanates=1..}] run scoreboard players set %TellLastDeathCoordanates% TellLastDeathCoordanates 1
execute as @a[scores={TellLastDeathCoordanates=..0}] run scoreboard players set %TellLastDeathCoordanates% TellLastDeathCoordanates 0
scoreboard players reset @a TellLastDeathCoordanates
execute if score %TellLastDeathCoordanates% TellLastDeathCoordanates matches 1.. run function mortis:telllastdeathcoordanates

#Tell Last Death Coordinates Trigger
scoreboard players enable @a LastDeathCoordanates
execute as @a[scores={died=1..}] at @s run function mortis:location2
execute as @a[scores={LastDeathCoordanates=1..}] run function mortis:tldct_tellraw


#Deathcount trigger
scoreboard players enable @a Deathcount
execute as @a[scores={Deathcount=1..}] run function mortis:deathcount_tellraw

#Item Invulnerability
execute as @a[scores={ItemInvulnerability=1..}] run scoreboard players set %ItemInvulnerability% ItemInvulnerability 1
execute as @a[scores={ItemInvulnerability=..0}] run scoreboard players set %ItemInvulnerability% ItemInvulnerability 0
execute if score %ItemInvulnerability% ItemInvulnerability matches 1 as @a[scores={died=1..}] at @s run function mortis:iteminvulnerability

#Head display
execute as @a[scores={HeadDisplay=1..}] run scoreboard players set %HeadDisplay% HeadDisplay 1
execute as @a[scores={HeadDisplay=..0}] run scoreboard players set %HeadDisplay% HeadDisplay 0
execute as @a if entity @s[nbt={Inventory:[{Slot:103b,id:"minecraft:wither_skeleton_skull"}]}] run scoreboard players set @s wsc 1
execute as @a if entity @s[nbt={Inventory:[{Slot:103b,id:"minecraft:creeper_head"}]}] run scoreboard players set @s cc 1
execute as @a if entity @s[nbt={Inventory:[{Slot:103b,id:"minecraft:piglin_head"}]}] run scoreboard players set @s pc 1
execute as @a if entity @s[nbt={Inventory:[{Slot:103b,id:"minecraft:dragon_head"}]}] run scoreboard players set @s edc 1
execute as @a if entity @s[nbt={Inventory:[{Slot:103b,id:"minecraft:zombie_head"}]}] run scoreboard players set @s zc 1
execute as @a if entity @s[nbt={Inventory:[{Slot:103b,id:"minecraft:player_head"}]}] run scoreboard players set @s playerc 1
execute if score %HeadDisplay% HeadDisplay matches 1 as @a[scores={died=1..}] at @s run function mortis:headdisplay
execute as @a if entity @s[nbt=!{Inventory:[{Slot:103b,id:"minecraft:wither_skeleton_skull"}]}] run scoreboard players set @s wsc 0
execute as @a if entity @s[nbt=!{Inventory:[{Slot:103b,id:"minecraft:creeper_head"}]}] run scoreboard players set @s cc 0
execute as @a if entity @s[nbt=!{Inventory:[{Slot:103b,id:"minecraft:piglin_head"}]}] run scoreboard players set @s pc 0
execute as @a if entity @s[nbt=!{Inventory:[{Slot:103b,id:"minecraft:dragon_head"}]}] run scoreboard players set @s edc 0
execute as @a if entity @s[nbt=!{Inventory:[{Slot:103b,id:"minecraft:zombie_head"}]}] run scoreboard players set @s zc 0
execute as @a if entity @s[nbt=!{Inventory:[{Slot:103b,id:"minecraft:player_head"}]}] run scoreboard players set @s playerc 0
execute if score %HeadDisplay% HeadDisplay matches 0 run kill @e[type=item_display,tag=headdisplay]
execute as @e[type=item_display,tag=headdisplay] at @s if entity @a[distance=..2] unless entity @s[scores={killtimer=1..}] run kill @s
execute as @e[type=item_display,tag=headdisplay,scores={killtimer=1..}] run scoreboard players remove @s killtimer 1

#Item clumping
execute as @a[scores={ItemClumping=1..}] run scoreboard players set %ItemClumping% ItemClumping 1
execute as @a[scores={ItemClumping=..0}] run scoreboard players set %ItemClumping% ItemClumping 0
execute if score %ItemClumping% ItemClumping matches 1 as @a[scores={died=1..}] at @s run function mortis:itemclumping

#Item gravity
execute as @a[scores={ItemGravity=1..}] run scoreboard players set %ItemGravity% ItemGravity 1
execute as @a[scores={ItemGravity=..0}] run scoreboard players set %ItemGravity% ItemGravity 0
execute if score %ItemGravity% ItemGravity matches 1.. as @a[scores={died=1..}] at @s run function mortis:itemgravity
execute as @e[type=item,tag=stopped] run data merge entity @s {NoGravity:1b,Motion:[0.0,0.0,0.0]}

#Save items from void
execute as @a[scores={SaveItemsFromVoid=1..}] run scoreboard players set %SaveItemsFromVoid% SaveItemsFromVoid 1
execute as @a[scores={SaveItemsFromVoid=..0}] run scoreboard players set %SaveItemsFromVoid% SaveItemsFromVoid 0
execute as @a store result score @s y_level run data get entity @s Pos[1]
execute if score %SaveItemsFromVoid% SaveItemsFromVoid matches 1.. as @a[scores={died=1..}] at @s run function mortis:saveitemsfromvoid

#Owner Items
execute as @a[scores={OwnerItems=1..}] run scoreboard players set %OwnerItems% OwnerItems 1
execute as @a[scores={OwnerItems=..0}] run scoreboard players set %OwnerItems% OwnerItems 0
execute if score %OwnerItems% OwnerItems matches 1 as @a[scores={died=1..}] at @s run function mortis:owneritems










scoreboard players reset @a died